package GT::Maildir::Search::Sort;

use strict;
use warnings;

use Carp qw/croak/;

sub ST_FIELD      () { 0 }
sub ST_GROUP      () { 1 }
sub ST_RELEVANCE  () { 2 }
sub ST_INDEXORDER () { 3 }

sub is_field {
	my $self = shift;
	croak "Unknown arguments to $self->is_field" if @_;
	return $self->{type} == ST_FIELD;
}

sub is_group {
	my $self = shift;
	croak "Unknown arguments to $self->is_group" if @_;
	return $self->{type} == ST_GROUP;
}

sub is_relevance {
	my $self = shift;
	croak "Unknown arguments to $self->is_relevance" if @_;
	return $self->{type} == ST_RELEVANCE;
}

sub is_indexorder {
	my $self = shift;
	croak "Unknown arguments to $self->is_indexorder" if @_;
	return $self->{type} == ST_INDEXORDER;
}

sub RELEVANCE {
	my $class = shift;
	croak "Unknown arguments to $class->RELEVANCE" if @_;
	return bless {
		type => ST_RELEVANCE,
		sortfields => []
	}, $class;
}

sub INDEXORDER {
	my $class = shift;
	croak "Unknown arguments to $class->RELEVANCE" if @_;
	return bless {
		type => ST_INDEXORDER,
		sortfields => []
	}, $class;
}

1;

