package GT::Maildir::Search::SortGroup;

use strict;

use base 'GT::Maildir::Search::Sort';
use Carp qw/croak/;

sub new {
	my $class = shift;

	croak "No sort specified to $class->new" unless @_;

	my @sortfields = @_;

	return bless {
		type => GT::Maildir::Search::Sort::ST_GROUP(),
		sortfields => \@sortfields
	}, $class;
}

sub get_sortfields {
	my $self = shift;
	croak "Unknown arguments to $self->get_sortfields" if @_;
	return [@{$self->{sortfields}}];
}

1;


